current_state: Kaduna State
run_mode: balanced
paths:
  data: data/{state}
  outputs: outputs/{state}-state
  logs: logs/{state}
  models: models
  indexes: indexes
models:
  ner: en_core_web_md
  embedding: null
  reranker: bm25
  llm: openai_gpt
source_weights:
  budgets: 1.0
  speeches: 0.9
  pea_reports: 0.8
  cso_reports: 0.8
  news: 0.6
budgets:
  classifier:
    method: hybrid
    ruleset: configs/budget_rules.yaml
    label_set:
    - mitigation
    - adaptation
    - enabling
    - non-climate
    explain: true
stakeholders:
  gazetteers:
  - configs/gazetteers/mdas_kaduna.csv
  - configs/gazetteers/cso_kaduna.csv
explainability:
  trace_prompts: true
  save_provenance: true
  keep_top_k_evidence: 5
evaluation:
  enable: true
  metrics:
  - precision
  - recall
  - f1
current_issue: Fund allocation to forestry
current_subject: Climate Governance
